# MessageContext

## Classes
class | wso2wsf::MessageContext
| Class MessageContext captures all state information related to a message invocation. It holds information on the service and operation to be invoked as well as context hierarchy information related to the service and operation. It also has information on transports, that are to be used in invocation. The phase information is kept, along with the phase at which message invocation was paused as well as the handler in the phase from which the invocation is to be resumed.Message context would hold the request SOAP message along the out path and would capture response along the in path. Message context also has information on various engine specific information, such as if it should be doing MTOM, REST. As message context is inherited form context, it has the capability of storing user defined properties. In addition to the methods exposed by the MessageContex class, the underlying axis2 level message context can also be accessed if required. More...
## Functions
WSF_EXTERN | wso2wsf::MessageContext::MessageContext (axis2_msg_ctx_t *_msg_ctx)
WSF_EXTERN axis2_msg_ctx_t * | wso2wsf::MessageContext::getAxis2MessageContext ()
WSF_EXTERN bool | wso2wsf::MessageContext::setAxis2MessageContext (axis2_msg_ctx_t *msg_ctx)
WSF_EXTERN std::string | wso2wsf::MessageContext::getFaultTo ()
WSF_EXTERN std::string | wso2wsf::MessageContext::getFrom ()
WSF_EXTERN bool | wso2wsf::MessageContext::getInFaultFlow ()
WSF_EXTERN OMElement * | wso2wsf::MessageContext::getSoapEnvelope ()
WSF_EXTERN OMElement * | wso2wsf::MessageContext::getResponseSoapEnvelope ()
WSF_EXTERN OMElement * | wso2wsf::MessageContext::getFaultSoapEnvelope ()
WSF_EXTERN std::string | wso2wsf::MessageContext::getMessageId ()
WSF_EXTERN std::string | wso2wsf::MessageContext::getReplyTo ()
WSF_EXTERN bool | wso2wsf::MessageContext::getProcessFault ()
WSF_EXTERN bool | wso2wsf::MessageContext::getServerSide ()
WSF_EXTERN std::string | wso2wsf::MessageContext::getTo ()
WSF_EXTERN bool | wso2wsf::MessageContext::setFaultTo (std::string toUri)
WSF_EXTERN bool | wso2wsf::MessageContext::setFrom (std::string fromUri)
WSF_EXTERN bool | wso2wsf::MessageContext::setInFaultFlow (bool inFault)
WSF_EXTERN bool | wso2wsf::MessageContext::setReplyTo (std::string replyToUri)
WSF_EXTERN bool | wso2wsf::MessageContext::setServerSide (bool serverSide)
WSF_EXTERN bool | wso2wsf::MessageContext::setTo (std::string toUri)
WSF_EXTERN bool | wso2wsf::MessageContext::getNewThreadRequired ()
WSF_EXTERN bool | wso2wsf::MessageContext::setNewThreadRequired (bool newThreadRequired)
WSF_EXTERN bool | wso2wsf::MessageContext::setWSAAction (std::string actionUri)
WSF_EXTERN std::string | wso2wsf::MessageContext::getWSAAction ()
WSF_EXTERN bool | wso2wsf::MessageContext::setWSAMessageId (std::string messageId)
WSF_EXTERN std::string | wso2wsf::MessageContext::getWSAMessageId ()
WSF_EXTERN bool | wso2wsf::MessageContext::getPaused ()
WSF_EXTERN bool | wso2wsf::MessageContext::setPaused (bool paused)
WSF_EXTERN bool | wso2wsf::MessageContext::isKeepAlive ()
WSF_EXTERN bool | wso2wsf::MessageContext::setKeepAlive (bool keepAlive)
WSF_EXTERN bool | wso2wsf::MessageContext::getOutputWritten ()
WSF_EXTERN bool | wso2wsf::MessageContext::setOutputWritten (bool outputWritten)
WSF_EXTERN std::string | wso2wsf::MessageContext::getRestHTTPMethod ()
WSF_EXTERN axis2_status_t | wso2wsf::MessageContext::setRESTHTTPMethod (std::string HTTPMethod)
WSF_EXTERN Parameter * | wso2wsf::MessageContext::getParameter (std::string key)
WSF_EXTERN Property * | wso2wsf::MessageContext::getProperty (std::string key)
WSF_EXTERN void * | wso2wsf::MessageContext::getPropertyValue (std::string propStr)
WSF_EXTERN bool | wso2wsf::MessageContext::setProperty (std::string key, std::string value)
WSF_EXTERN std::string | wso2wsf::MessageContext::getPausedHandlerName ()
WSF_EXTERN std::string | wso2wsf::MessageContext::getPausedPhaseName ()
WSF_EXTERN bool | wso2wsf::MessageContext::setPausedPhaseName (std::string pausedPhaseName)
WSF_EXTERN std::string | wso2wsf::MessageContext::getSOAPAction ()
WSF_EXTERN bool | wso2wsf::MessageContext::setSOAPAction (std::string action)
WSF_EXTERN bool | wso2wsf::MessageContext::getDoingMTOM ()
WSF_EXTERN bool | wso2wsf::MessageContext::setDoingMTOM (bool doingMTOM)
WSF_EXTERN bool | wso2wsf::MessageContext::getDoingREST ()
WSF_EXTERN bool | wso2wsf::MessageContext::setDoingREST (bool doingREST)
WSF_EXTERN bool | wso2wsf::MessageContext::setDoRESTThroughPOST (bool doRESTThroughPost)
WSF_EXTERN bool | wso2wsf::MessageContext::getDoRESTThroughPOST ()
WSF_EXTERN bool | wso2wsf::MessageContext::getManageSession ()
WSF_EXTERN bool | wso2wsf::MessageContext::setManageSession (bool manageSession)
WSF_EXTERN bool | wso2wsf::MessageContext::getIsSOAP11 ()
WSF_EXTERN bool | wso2wsf::MessageContext::setIsSOAP11 (bool isSOAP11)
WSF_EXTERN Options * | wso2wsf::MessageContext::getOptions ()
WSF_EXTERN bool | wso2wsf::MessageContext::isPaused ()
WSF_EXTERN bool | wso2wsf::MessageContext::setOptions (Options options)
WSF_EXTERN bool | wso2wsf::MessageContext::setFlow (int flow)
WSF_EXTERN int | wso2wsf::MessageContext::getFlow ()
WSF_EXTERN bool | wso2wsf::MessageContext::setSupportedRESTHTTPMethods (std::vector< std::string > *methods)
WSF_EXTERN std::vector < std::string > * | wso2wsf::MessageContext::getSupportedRESTHTTPMethods ()
WSF_EXTERN bool | wso2wsf::MessageContext::setCurrentHandlerIndex (int index)
WSF_EXTERN int | wso2wsf::MessageContext::getCurrentHandlerIndex ()
WSF_EXTERN int | wso2wsf::MessageContext::getPausedHandlerIndex ()
WSF_EXTERN bool | wso2wsf::MessageContext::setCurrentPhaseIndex (int index)
WSF_EXTERN int | wso2wsf::MessageContext::getCurrentPhaseIndex ()
WSF_EXTERN int | wso2wsf::MessageContext::getPausedPhaseIndex ()
WSF_EXTERN std::string | wso2wsf::MessageContext::getCharsetEncoding ()
WSF_EXTERN bool | wso2wsf::MessageContext::setCharsetEncodingStng (std::string str)
WSF_EXTERN int | wso2wsf::MessageContext::getStatusCode ()
WSF_EXTERN bool | wso2wsf::MessageContext::setStatusCode (int statusCode)
WSF_EXTERN std::vector < std::string > * | wso2wsf::MessageContext::getHTTPAcceptCharsetRecordList ()
WSF_EXTERN std::vector < std::string > * | wso2wsf::MessageContext::extractHTTPAcceptCharsetRecordList ()
WSF_EXTERN bool | wso2wsf::MessageContext::setHTTPAcceptCharsetRecordList (std::vector< std::string > *recordList)
WSF_EXTERN std::vector < std::string > * | wso2wsf::MessageContext::getHTTPAcceptLanguageRecordList ()
WSF_EXTERN std::vector < std::string > * | wso2wsf::MessageContext::extractHTTPAcceptLanguageRecordList ()
WSF_EXTERN bool | wso2wsf::MessageContext::setHTTPAcceptLanguageRecordList (std::vector< std::string > *acceptLanguageRecordList)
WSF_EXTERN std::string | wso2wsf::MessageContext::getContentLanguage ()
WSF_EXTERN bool | wso2wsf::MessageContext::setContentLanguage (std::string language)
WSF_EXTERN std::vector < std::string > * | wso2wsf::MessageContext::getHTTPAcceptRecordList ()
WSF_EXTERN std::vector < std::string > * | wso2wsf::MessageContext::extractHTTPAcceptRecordList ()
WSF_EXTERN bool | wso2wsf::MessageContext::setHTTPAcceptRecordList (std::vector< std::string > *recordList)
WSF_EXTERN std::string | wso2wsf::MessageContext::getTransferEncoding ()
WSF_EXTERN bool | wso2wsf::MessageContext::setTransferEncoding (std::string encoding)
WSF_EXTERN std::string | wso2wsf::MessageContext::getTransportURL ()
WSF_EXTERN bool | wso2wsf::MessageContext::setTransportURL (std::string transportURL)
WSF_EXTERN bool | wso2wsf::MessageContext::getNoContent ()
WSF_EXTERN bool | wso2wsf::MessageContext::setNoContent (bool noContent)
WSF_EXTERN bool | wso2wsf::MessageContext::getAuthFailed ()
WSF_EXTERN bool | wso2wsf::MessageContext::setAuthFailed (bool status)
WSF_EXTERN bool | wso2wsf::MessageContext::getRequiredAuthIsHTTP ()
WSF_EXTERN bool | wso2wsf::MessageContext::setRequiredAuthIsHTTP (bool isHTTP)
WSF_EXTERN bool | wso2wsf::MessageContext::setAuthType (std::string authType)
WSF_EXTERN std::string | wso2wsf::MessageContext::getAuthType ()
WSF_EXTERN bool | wso2wsf::MessageContext::incrementRef ()
virtual WSF_EXTERN | wso2wsf::MessageContext::~MessageContext ()

## Function Documentation

WSF_EXTERN std::vector<std::string>* wso2wsf::MessageContext::extractHTTPAcceptCharsetRecordList | ( |  | ) | `[inherited]`

Retrieves HTTP Accept-Charset records, and removes them from the message context

Returns:
  HTTP Accept-Charset records associated.

WSF_EXTERN std::vector<std::string>* wso2wsf::MessageContext::extractHTTPAcceptLanguageRecordList | ( |  | ) | `[inherited]`

Retrieves HTTP Accept-Language records, and removes them from the message context

Returns:
  HTTP Accept-Language records associated.

WSF_EXTERN std::vector<std::string>* wso2wsf::MessageContext::extractHTTPAcceptRecordList | ( |  | ) | `[inherited]`

Retrieves HTTP Accept records, and removes them from the message context

Returns:
  HTTP Accept records associated.

WSF_EXTERN bool wso2wsf::MessageContext::getAuthFailed | ( |  | ) | `[inherited]`

Gets whether an authentication failure occurred

Returns:
  returns true if an authentication failure occurred or false if not

WSF_EXTERN std::string wso2wsf::MessageContext::getAuthType | ( |  | ) | `[inherited]`

Gets the authentication type

Returns:
  Authentication type string

WSF_EXTERN axis2_msg_ctx_t* wso2wsf::MessageContext::getAxis2MessageContext | ( |  | ) | `[inherited]`

Returns existing axis2_msg_ctx object

Returns:
  A pointer to the axis2_msg_ctx_t object. Since the returned axis2_msg_ctx_t Belongs to the MessageContext Object, it should not be freed.

WSF_EXTERN std::string wso2wsf::MessageContext::getCharsetEncoding | ( |  | ) | `[inherited]`

Gets character set encoding to be used.

Returns:
  true on success, else false

WSF_EXTERN std::string wso2wsf::MessageContext::getContentLanguage | ( |  | ) | `[inherited]`

Gets the Content Language used

Returns:
  Content Language string

WSF_EXTERN int wso2wsf::MessageContext::getCurrentHandlerIndex | ( |  | ) | `[inherited]`

Gets current handler index, indicating which handler is currently being invoked in the execution chain

Returns:
  index of currently executed handler

WSF_EXTERN int wso2wsf::MessageContext::getCurrentPhaseIndex | ( |  | ) | `[inherited]`

Gets index of the current phase being invoked.

Returns:
  index of current phase

WSF_EXTERN bool wso2wsf::MessageContext::getDoingMTOM | ( |  | ) | `[inherited]`

Gets the boolean value indicating if MTOM is enabled or not.

Returns:
  true if MTOM is enabled, else false

WSF_EXTERN bool wso2wsf::MessageContext::getDoingREST | ( |  | ) | `[inherited]`

Gets the boolean value indicating if REST is enabled or not.

Returns:
  true if REST is enabled, else false

WSF_EXTERN bool wso2wsf::MessageContext::getDoRESTThroughPOST | ( |  | ) | `[inherited]`

Sets the boolean value indicating if REST should be done through HTTP POST or not.

Returns:
  true if REST is to be done with HTTP POST, else false if REST is not to be done with HTTP POST

WSF_EXTERN OMElement* wso2wsf::MessageContext::getFaultSoapEnvelope | ( |  | ) | `[inherited]`

Gets the fault soap envelope

Returns:
  A pointer to an OMElement representing the SOAP Fault Envelope

WSF_EXTERN std::string wso2wsf::MessageContext::getFaultTo | ( |  | ) | `[inherited]`

This method returns the WS-Addressing fault to address. Fault to address tells where to send the fault in case there is an error.

Returns:
  returns an string of the fault to endpoint

WSF_EXTERN int wso2wsf::MessageContext::getFlow | ( |  | ) | `[inherited]`

Gets the flow to be invoked.

Returns:
  int value indicating the flow

WSF_EXTERN std::string wso2wsf::MessageContext::getFrom | ( |  | ) | `[inherited]`

Gets WS-Addressing from endpoint. From address tells where the request came from.

Returns:
  string of the from endpoint reference

WSF_EXTERN std::vector<std::string>* wso2wsf::MessageContext::getHTTPAcceptCharsetRecordList | ( |  | ) | `[inherited]`

Retrieves HTTP Accept-Charset records.

Returns:
  HTTP Accept-Charset records associated.

WSF_EXTERN std::vector<std::string>* wso2wsf::MessageContext::getHTTPAcceptLanguageRecordList | ( |  | ) | `[inherited]`

Retrieves HTTP Accept-Language records.

Returns:
  HTTP Accept-Language records associated.

WSF_EXTERN std::vector<std::string>* wso2wsf::MessageContext::getHTTPAcceptRecordList | ( |  | ) | `[inherited]`

Retrieves HTTP Accept records.

Returns:
  HTTP Accept records associated.

WSF_EXTERN bool wso2wsf::MessageContext::getInFaultFlow | ( |  | ) | `[inherited]`

Checks if there is a SOAP fault on in flow.

Returns:
  true if there is a fault, false otherwise

WSF_EXTERN bool wso2wsf::MessageContext::getIsSOAP11 | ( |  | ) | `[inherited]`

Gets the bool value indicating the SOAP version being used either SOAP 1.1 or SOAP 1.2

Returns:
  true if SOAP 1.1 is being used, else false if SOAP 1.2 is being used

WSF_EXTERN bool wso2wsf::MessageContext::getManageSession | ( |  | ) | `[inherited]`

Gets manage session bool value.

Returns:
  true if session is managed, else false

WSF_EXTERN std::string wso2wsf::MessageContext::getMessageId | ( |  | ) | `[inherited]`

Gets message ID.

Returns:
  message ID string corresponding to the message the message context is related to

WSF_EXTERN bool wso2wsf::MessageContext::getNewThreadRequired | ( |  | ) | `[inherited]`

Gets the bool value indicating if it is required to have a new thread for the invocation, or if the same thread of execution could be used.

Returns:
  true if new thread is required, else false

WSF_EXTERN bool wso2wsf::MessageContext::getNoContent | ( |  | ) | `[inherited]`

Gets whether there was no content in the response. This will cater for a situation where the invoke method in a service returns NULL when no fault has occurred.

Returns:
  returns true if there was no content occurred or false otherwise

WSF_EXTERN Options* wso2wsf::MessageContext::getOptions | ( |  | ) | `[inherited]`

Gets the options to be used in invocation.

Returns:
  options pointer to options struct, message context does not assume the ownership of the struct

WSF_EXTERN bool wso2wsf::MessageContext::getOutputWritten | ( |  | ) | `[inherited]`

Gets the bool value indicating the output written status.

Returns:
  true if output is written, else false

WSF_EXTERN Parameter* wso2wsf::MessageContext::getParameter | ( | std::string | key | ) | `[inherited]`

Gets configuration descriptor parameter with given key. This method recursively search the related description hierarchy for the parameter with given key until it is found or the parent of the description hierarchy is reached. The order of search is as follows:
1. search in operation description, if its there return
2. if the parameter is not found in operation or operation is NULL, search in service
3. if the parameter is not found in service or service is NULL search in configuration

Parameters:

  | key | parameter key

Returns:
  pointer to parameter struct corresponding to the given key

WSF_EXTERN bool wso2wsf::MessageContext::getPaused | ( |  | ) | `[inherited]`

Gets the bool value indicating the paused status. It is possible to pause the engine invocation by any handler. By calling this method one can find out if some handler has paused the invocation.

Returns:
  true if message context is paused, else false

WSF_EXTERN int wso2wsf::MessageContext::getPausedHandlerIndex | ( |  | ) | `[inherited]`

Gets paused handler index, indicating at which handler the execution chain was paused.

Returns:
  index of handler at which invocation was paused

WSF_EXTERN std::string wso2wsf::MessageContext::getPausedHandlerName | ( |  | ) | `[inherited]`

Gets the QName of the handler at which invocation was paused.

Returns:
  pointer to QName of the paused handler

WSF_EXTERN int wso2wsf::MessageContext::getPausedPhaseIndex | ( |  | ) | `[inherited]`

Gets the phase at which the invocation was paused.

Returns:
  index of paused phase

WSF_EXTERN std::string wso2wsf::MessageContext::getPausedPhaseName | ( |  | ) | `[inherited]`

Gets the name of the phase at which the invocation was paused.

Returns:
  name string of the paused phase.

WSF_EXTERN bool wso2wsf::MessageContext::getProcessFault | ( |  | ) | `[inherited]`

Gets process fault status.

Returns:
  true if process fault is on, false otherwise

WSF_EXTERN Property* wso2wsf::MessageContext::getProperty | ( | std::string | key | ) | `[inherited]`

Gets property corresponding to the given key.

Parameters:

  | key | key string with which the property is stored

Returns:
  pointer to property struct

WSF_EXTERN void* wso2wsf::MessageContext::getPropertyValue | ( | std::string | propStr | ) | `[inherited]`

Gets property value corresponding to the property given key.

Parameters:

  | propStr | key string with which the property is stored

Returns:
  pointer to property struct

WSF_EXTERN std::string wso2wsf::MessageContext::getReplyTo | ( |  | ) | `[inherited]`

Gets WS-Addressing reply to endpoint as a string. Reply to address tells where the the response should be sent to.

Returns:
  return a string corresponding to the reply to endpoint uri

WSF_EXTERN bool wso2wsf::MessageContext::getRequiredAuthIsHTTP | ( |  | ) | `[inherited]`

Gets whether HTTP Authentication is required or whether Proxy Authentication is required

Returns:
  returns true for HTTP Authentication and false for Proxy Authentication

WSF_EXTERN OMElement* wso2wsf::MessageContext::getResponseSoapEnvelope | ( |  | ) | `[inherited]`

Gets the SOAP envelope of the response.

Returns:
  Pointer to an OMElement representing the SOAP Envelope

WSF_EXTERN std::string wso2wsf::MessageContext::getRestHTTPMethod | ( |  | ) | `[inherited]`

Gets the HTTP Method that relates to the service that is related to the message context.

Returns:
  HTTP Method string, returns a reference, not a cloned copy

WSF_EXTERN bool wso2wsf::MessageContext::getServerSide | ( |  | ) | `[inherited]`

Checks if it is on the server side that the message is being dealt with, or on the client side.

Returns:
  true if it is server side, false otherwise

WSF_EXTERN std::string wso2wsf::MessageContext::getSOAPAction | ( |  | ) | `[inherited]`

Gets SOAP action.

Returns:
  SOAP action string

WSF_EXTERN OMElement* wso2wsf::MessageContext::getSoapEnvelope | ( |  | ) | `[inherited]`

Gets the SOAP envelope associated with the MessageContex. If the MessageContex is an In Message Context, the SOAP Envelope will be the Request SOAP envelope. If the MessageContext is an out MessageContext, the returned SOAP Envelope will be a response message

Returns:
  Pointer to an OMElement representing the SOAP Envelope

WSF_EXTERN int wso2wsf::MessageContext::getStatusCode | ( |  | ) | `[inherited]`

Gets the integer value indicating http status_code.

Returns:
  status value

WSF_EXTERN std::vector<std::string>* wso2wsf::MessageContext::getSupportedRESTHTTPMethods | ( |  | ) | `[inherited]`

Gets the list of supported REST HTTP Methods

Returns:
  pointer array list containing the list of HTTP Methods supported. Message context does assumes the ownership of the array list

WSF_EXTERN std::string wso2wsf::MessageContext::getTo | ( |  | ) | `[inherited]`

Gets WS-Addressing to endpoint URL. To address tells where message should be sent to.

Returns:
  Returns the to Endpoint URI

WSF_EXTERN std::string wso2wsf::MessageContext::getTransferEncoding | ( |  | ) | `[inherited]`

Gets the transfer encoding used

Returns:
  Transfer encoding string

WSF_EXTERN std::string wso2wsf::MessageContext::getTransportURL | ( |  | ) | `[inherited]`

Gets the Transport URL

Returns:
  Transport URL string

WSF_EXTERN std::string wso2wsf::MessageContext::getWSAAction | ( |  | ) | `[inherited]`

Gets WS-Addressing action.

Returns:
  pointer to WSA action URI string

WSF_EXTERN std::string wso2wsf::MessageContext::getWSAMessageId | ( |  | ) | `[inherited]`

Gets WS-Addressing message ID.

Returns:
  WSA message ID string

WSF_EXTERN bool wso2wsf::MessageContext::incrementRef | ( |  | ) | `[inherited]`

Incrementing the msg_ctx ref count. This is necessary when prevent freeing msg_ctx through op_client when it is in use as in sandesha2.

Returns:
  true if still in use, else false

WSF_EXTERN bool wso2wsf::MessageContext::isKeepAlive | ( |  | ) | `[inherited]`

Gets the bool value indicating the keep alive status. It is possible to keep alive the message context by any handler. By calling this method one can see whether it is possible to clean the message context.

Returns:
  true if message context is keep alive, else false

WSF_EXTERN bool wso2wsf::MessageContext::isPaused | ( |  | ) | `[inherited]`

Gets the bool value indicating the paused status.

Returns:
  true if invocation is paused, else false

WSF_EXTERN wso2wsf::MessageContext::MessageContext | ( | axis2_msg_ctx_t * | _msg_ctx | ) | `[inherited]`

Create message Context using the axis2_msg_ctx object

WSF_EXTERN bool wso2wsf::MessageContext::setAuthFailed | ( | bool | status | ) | `[inherited]`

Sets whether an authentication failure occurred

Parameters:

  | status | expects true if an authentication failure occurred or false if not

Returns:
  true on success, else false

WSF_EXTERN bool wso2wsf::MessageContext::setAuthType | ( | std::string | authType | ) | `[inherited]`

Sets the authentication type

Parameters:

  | authType | Authentication type string

Returns:
  true on success, else false

WSF_EXTERN bool wso2wsf::MessageContext::setAxis2MessageContext | ( | axis2_msg_ctx_t * | msg_ctx | ) | `[inherited]`

Sets the internal reference to the internal axis2_msg_ctx_t object. This method is specially useful when deleting the MessageContex Object returned the Framework. When the internal reference belongs to the framework the MessageContext would require freeing. Then this method can be used to reset the internal reference so that, only the C++ MessageContext is freed.

Returns:
  true on success, false otherwise.

WSF_EXTERN bool wso2wsf::MessageContext::setCharsetEncodingStng | ( | std::string | str | ) | `[inherited]`

Sets character set encoding to be used.

Parameters:

  | str | pointer to string struct representing encoding

Returns:
  true on success, else false

WSF_EXTERN bool wso2wsf::MessageContext::setContentLanguage | ( | std::string | language | ) | `[inherited]`

Sets the Content Language used

Parameters:

  | language | Content Language string

Returns:
  true on success, else false

WSF_EXTERN bool wso2wsf::MessageContext::setCurrentHandlerIndex | ( | int | index | ) | `[inherited]`

Sets current handler index, indicating which handler is currently being invoked in the execution chain

Parameters:

  | index | index of currently executed handler

Returns:
  true on success, else false

WSF_EXTERN bool wso2wsf::MessageContext::setCurrentPhaseIndex | ( | int | index | ) | `[inherited]`

Sets index of the current phase being invoked.

Parameters:

  | index | index of current phase

Returns:
  true on success, else false

WSF_EXTERN bool wso2wsf::MessageContext::setDoingMTOM | ( | bool | doingMTOM | ) | `[inherited]`

Sets the boolean value indicating if MTOM is enabled or not.

Parameters:

  | doingMTOM | true if MTOM is enabled, else false

Returns:
  true on success, else false

WSF_EXTERN bool wso2wsf::MessageContext::setDoingREST | ( | bool | doingREST | ) | `[inherited]`

Sets the boolean value indicating if REST is enabled or not.

Parameters:

  | doingREST | true if REST is enabled, else false

Returns:
  true on success, else false

WSF_EXTERN bool wso2wsf::MessageContext::setDoRESTThroughPOST | ( | bool | doRESTThroughPost | ) | `[inherited]`

Sets the boolean value indicating if REST should be done through HTTP POST or not.

Parameters:

  | doRESTThroughPost | true if REST is to be done with HTTP POST, else false if REST is not to be done with HTTP POST

Returns:
  true on success, else false

WSF_EXTERN bool wso2wsf::MessageContext::setFaultTo | ( | std::string | toUri | ) | `[inherited]`

Sets WS-Addressing fault to endpoint. Fault to address tells where the fault message should be sent when there is an error.

Parameters:

  | toUri | To uri

Returns:
  true if successful, false otherwise.

WSF_EXTERN bool wso2wsf::MessageContext::setFlow | ( | int | flow | ) | `[inherited]`

Sets the flow to be invoked.

Parameters:

  | flow | int value indicating the flow

Returns:
  true on success, else false

WSF_EXTERN bool wso2wsf::MessageContext::setFrom | ( | std::string | fromUri | ) | `[inherited]`

Sets WS-Addressing from endpoint. From address tells where the message came from.

Parameters:

  | fromUri | uri identifying the message origin

Returns:
  true on success, false otherwise

WSF_EXTERN bool wso2wsf::MessageContext::setHTTPAcceptCharsetRecordList | ( | std::vector< std::string > * | recordList | ) | `[inherited]`

Sets the HTTP Accept-Charset records

Parameters:

  | recordList | an Array List containing the HTTP Accept-Charset records

Returns:
  true on success, else false

WSF_EXTERN bool wso2wsf::MessageContext::setHTTPAcceptLanguageRecordList | ( | std::vector< std::string > * | acceptLanguageRecordList | ) | `[inherited]`

Sets the HTTP Accept-Language records

Parameters:

  | acceptLanguageRecordList | an Array List containing the HTTP Accept-Language records

Returns:
  true on success, else false

WSF_EXTERN bool wso2wsf::MessageContext::setHTTPAcceptRecordList | ( | std::vector< std::string > * | recordList | ) | `[inherited]`

Sets the HTTP Accept records

Parameters:

  | recordList | an Array List containing the HTTP Accept records

Returns:
  true on success, else false

WSF_EXTERN bool wso2wsf::MessageContext::setInFaultFlow | ( | bool | inFault | ) | `[inherited]`

Sets in fault flow status.

Parameters:

  | inFault | true if there is a fault on in path, false otherwise

Returns:
  true if success false otherwise

WSF_EXTERN bool wso2wsf::MessageContext::setIsSOAP11 | ( | bool | isSOAP11 | ) | `[inherited]`

Sets the bool value indicating the SOAP version being used either SOAP 1.1 or SOAP 1.2

Parameters:

  | isSOAP11 | true if SOAP 1.1 is being used,false if SOAP 1.2 is being used

Returns:
  true on success, else false

WSF_EXTERN bool wso2wsf::MessageContext::setKeepAlive | ( | bool | keepAlive | ) | `[inherited]`

Sets the bool value indicating the keep alive status of invocation. By setting this one can indicate the engine not to clean the message context.

Parameters:

  | keepAlive | keep alive

Returns:
  true on success, else false

WSF_EXTERN bool wso2wsf::MessageContext::setManageSession | ( | bool | manageSession | ) | `[inherited]`

Sets manage session bool value.

Parameters:

  | manageSession | manage session bool value

Returns:
  true on success, else false

WSF_EXTERN bool wso2wsf::MessageContext::setNewThreadRequired | ( | bool | newThreadRequired | ) | `[inherited]`

Sets the bool value indicating if it is required to have a new thread for the invocation, or if the same thread of execution could be used.

Parameters:

  | newThreadRequired | true if a new thread is required.

Returns:
  true on success, else false.

WSF_EXTERN bool wso2wsf::MessageContext::setNoContent | ( | bool | noContent | ) | `[inherited]`

Sets that there was no content in the response.

Parameters:

  | noContent | expects true if there was no content in the response or false otherwise

Returns:
  true on success, else false

WSF_EXTERN bool wso2wsf::MessageContext::setOptions | ( | Options | options | ) | `[inherited]`

Sets the options to be used in invocation.

Parameters:

  | options | pointer to options struct, message context does not assume the ownership of the struct

Returns:
  true on success, else false

WSF_EXTERN bool wso2wsf::MessageContext::setOutputWritten | ( | bool | outputWritten | ) | `[inherited]`

Sets the bool value indicating the output written status.

Parameters:

  | outputWritten |

Returns:
  true on success, else false

WSF_EXTERN bool wso2wsf::MessageContext::setPaused | ( | bool | paused | ) | `[inherited]`

Sets the bool value indicating the paused status of invocation.

Parameters:

  | paused | paused

Returns:
  true on success, else false

WSF_EXTERN bool wso2wsf::MessageContext::setPausedPhaseName | ( | std::string | pausedPhaseName | ) | `[inherited]`

Sets the name of the phase at which the invocation was paused.

Parameters:

  | pausedPhaseName | paused phase name string

Returns:
  true on success, else false

WSF_EXTERN bool wso2wsf::MessageContext::setProperty | ( | std::string | key,
|  | std::string | value |
| ) |  |  | `[inherited]`

Sets property with given key.

Parameters:

  | key | key string
  | value | property to be stored

Returns:
  true on success, else false

WSF_EXTERN bool wso2wsf::MessageContext::setReplyTo | ( | std::string | replyToUri | ) | `[inherited]`

Sets WS-Addressing reply to address indicating the location to which the reply would be sent.

Parameters:

  | replyToUri | endpoint reference uri

Returns:
  true on success, else false

WSF_EXTERN bool wso2wsf::MessageContext::setRequiredAuthIsHTTP | ( | bool | isHTTP | ) | `[inherited]`

Sets whether HTTP Authentication is required or whether Proxy Authentication is required

Parameters:

  | isHTTP | use true for HTTP Authentication and false for Proxy Authentication

Returns:
  true on success, else false

WSF_EXTERN axis2_status_t wso2wsf::MessageContext::setRESTHTTPMethod | ( | std::string | HTTPMethod | ) | `[inherited]`

Sets the HTTP Method that relates to the service that is related to the message context.

Parameters:

  | HTTPMethod | HTTP Method string

Returns:
  true on success, else false

WSF_EXTERN bool wso2wsf::MessageContext::setServerSide | ( | bool | serverSide | ) | `[inherited]`

Sets the boolean value indicating if it is the server side or the client side.

Parameters:

  | serverSide | true if it is server side, false if it is client side

Returns:
  true on success, false otherwise.

WSF_EXTERN bool wso2wsf::MessageContext::setSOAPAction | ( | std::string | action | ) | `[inherited]`

Sets SOAP action.

Parameters:

  | action | SOAP action string

Returns:
  true on success, else false

WSF_EXTERN bool wso2wsf::MessageContext::setStatusCode | ( | int | statusCode | ) | `[inherited]`

Sets the int value indicating http status code

Parameters:

  | statusCode | of the http response

Returns:
  true on success,otherwise false

WSF_EXTERN bool wso2wsf::MessageContext::setSupportedRESTHTTPMethods | ( | std::vector< std::string > * | methods | ) | `[inherited]`

Sets the list of supported REST HTTP Methods

Parameters:

  | methods | A pointer to a vector containing the list of HTTP Methods supported.

Returns:
  true on success otherwise false.

WSF_EXTERN bool wso2wsf::MessageContext::setTo | ( | std::string | toUri | ) | `[inherited]`

Sets WS-Addressing to address url.

Parameters:

  | toUri | A uri of the endpoint where the request should be sent to.

Returns:
  true on success, else false

WSF_EXTERN bool wso2wsf::MessageContext::setTransferEncoding | ( | std::string | encoding | ) | `[inherited]`

Sets the transfer encoding used

Parameters:

  | encoding | Transfer encoding string

Returns:
  true on success, else false

WSF_EXTERN bool wso2wsf::MessageContext::setTransportURL | ( | std::string | transportURL | ) | `[inherited]`

Sets the Transport URL.

Parameters:

  | transportURL | string representing the transport uril

Returns:
  true on success, else false

WSF_EXTERN bool wso2wsf::MessageContext::setWSAAction | ( | std::string | actionUri | ) | `[inherited]`

Sets WS-Addressing action.

Parameters:

  | actionUri | WSA action URI string

Returns:
  true on success, else false

WSF_EXTERN bool wso2wsf::MessageContext::setWSAMessageId | ( | std::string | messageId | ) | `[inherited]`

Sets WS-Addressing message ID.

Parameters:

  | messageId | pointer to message ID string

Returns:
  true on success, else false

virtual WSF_EXTERN wso2wsf::MessageContext::~MessageContext | ( |  | ) | `[virtual, inherited]`

Destructor for message context